% formatore di impulsi

function [A, Asum,figureIndex] = pulseGenerator (sequence, fb, pxp, roll_off, responseDuration,totalTime,figureIndex)

Tb = 1/fb; %spacing between pulses

lseq = length(sequence);

imp = zeros(1,totalTime); %initializing the vector that will contain the sequence of pulses

imp(1) = sequence(1);
impplot(1+length(responseDuration)/2)=sequence(1);
response = rimp_rcf(responseDuration, roll_off, Tb);
pause
A(1,:) = conv(imp,response);
figure(figureIndex)
hold on
%stem(impplot,'r')
plot(A(1,:));
figureIndex=figureIndex+1;

for i=1:(lseq-1)
    imp=zeros(1,totalTime);
    imp(i*pxp+1) = sequence(i);
    impplot(i*pxp+1+length(responseDuration)/2)=sequence(i);
    
    A(i+1,:)=conv(imp,response);
    plot(A(i+1,:));
end
stem(impplot,'r')
Asum = zeros(1,length(A(1,:)));
for s = 1:size(A,1)
    Asum = Asum + A(s,:);
end
%figure(figureIndex)
%figureIndex=figureIndex+1;
%plot(Asum)


