% risposta impulsiva filtro a coseno rialzato

function d=rimp_rcf(t, roll_off, Tb)

%lseq = length(t)/1000;

d=zeros(1,length(t));

for i=1:length(t)
	if ((t(i)~=0))
		d(i)=sin(pi*t(i)/Tb)/(pi*t(i)/Tb) * (cos(pi*roll_off*t(i)/Tb))/(1-(pi*roll_off*t(i)/Tb)^2);
    else%if t(i)==0
		d(i)=1;
    %else 
     %       fprintf(1,'In here\n')
	%	d(i)=pi/4*sin(pi*t(i)/Tb)/(pi*t(i)/Tb);
	%
    end
end
%d = double(d);


figure(16)
plot(t,d,'Linewidth',2)
grid on
ylim ([-0.5 1.2])
xlim ([-6*Tb 6*Tb])
title ('filtro a coseno rialzato','FontSize',14)
xlabel ('tempo (s)','FontSize',14)
ylabel ('ampiezza','FontSize',14)


